>From 01da737d76a5f12aeca333d3fbbd517670ea68cd Mon Sep 17 00:00:00 2001
From: Karel Klic <kklic@redhat.com>
Date: Thu, 23 Sep 2010 15:27:46 +0200
Subject: [PATCH 1/2] Remove the embedded backtrace parser.

---
 .gitignore                   |    5 -
 abrt.spec                    |    2 -
 configure.ac                 |   10 -
 lib/utils/Makefile.am        |    4 -
 lib/utils/backtrace.c        |  846 ------------------------------------------
 lib/utils/backtrace.h        |  152 --------
 lib/utils/backtrace_parser.y |  684 ----------------------------------
 scripts/abrt-bz-downloader   |   82 ----
 scripts/abrt-bz-dupchecker   |  281 --------------
 scripts/abrt-bz-hashchecker  |   59 ---
 scripts/abrt-bz-ratingfixer  |  210 -----------
 scripts/abrt-bz-stats        |  313 ----------------
 scripts/check-bt-parsability |   20 -
 src/Makefile.am              |    2 +-
 src/utils/Makefile.am        |   11 -
 src/utils/abrt-backtrace.1   |   59 ---
 src/utils/abrt-backtrace.c   |  339 -----------------
 17 files changed, 1 insertions(+), 3078 deletions(-)
 delete mode 100644 lib/utils/backtrace.c
 delete mode 100644 lib/utils/backtrace.h
 delete mode 100644 lib/utils/backtrace_parser.y
 delete mode 100755 scripts/abrt-bz-downloader
 delete mode 100755 scripts/abrt-bz-dupchecker
 delete mode 100755 scripts/abrt-bz-hashchecker
 delete mode 100755 scripts/abrt-bz-ratingfixer
 delete mode 100755 scripts/abrt-bz-stats
 delete mode 100755 scripts/check-bt-parsability
 delete mode 100644 src/utils/Makefile.am
 delete mode 100644 src/utils/abrt-backtrace.1
 delete mode 100644 src/utils/abrt-backtrace.c

diff --git a/.gitignore b/.gitignore
index b621b33..5146909 100644
--- a/.gitignore
+++ b/.gitignore
@@ -46,19 +46,14 @@ po/remove-potcdate.sin
 po/stamp-po
 po/stamp-it
 py-compile
-scripts/*.bt
 src/applet/abrt-applet
 src/applet/abrt-applet.desktop
 src/cli/abrt-cli
-src/utils/abrt-backtrace
-lib/utils/backtrace_parser.c
-lib/utils/backtrace_parser.output
 src/daemon/abrtd
 src/gui/abrt.desktop
 src/hooks/abrt_exception_handler.py
 src/hooks/dumpoops
 src/hooks/abrt-hook-ccpp
-scripts/abrt-rate-backtrace
 stamp-h1
 x86_64/
 *.pyc
diff --git a/abrt.spec b/abrt.spec
index 28e02eb..980f76e 100644
--- a/abrt.spec
+++ b/abrt.spec
@@ -353,7 +353,6 @@ fi
 %{_sbindir}/abrt-action-save-package-data
 %{_bindir}/%{name}-debuginfo-install
 %{_bindir}/%{name}-handle-upload
-%{_bindir}/%{name}-backtrace
 %config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
 %config(noreplace) %{_sysconfdir}/%{name}/gpg_keys
 %config(noreplace) %{_sysconfdir}/dbus-1/system.d/dbus-%{name}.conf
@@ -366,7 +365,6 @@ fi
 %dir %{_sysconfdir}/%{name}
 %dir %{_sysconfdir}/%{name}/plugins
 %dir %{_libdir}/%{name}
-%{_mandir}/man1/%{name}-backtrace.1.gz
 %{_mandir}/man8/abrtd.8.gz
 %{_mandir}/man5/%{name}.conf.5.gz
 #%{_mandir}/man5/pyhook.conf.5.gz
diff --git a/configure.ac b/configure.ac
index 3736399..db86865 100644
--- a/configure.ac
+++ b/configure.ac
@@ -18,15 +18,6 @@ CXXFLAGS="$CXXFLAGS -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE \
 CFLAGS="$CFLAGS -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE \
           -D_FILE_OFFSET_BITS=64 -fno-strict-aliasing -std=gnu99 -Wall"
 
-AC_CHECK_PROGS(YACC, 'bison -y', [no])
-[if test "$YACC" = "no"]
-[then]
-    [echo "bison not found in the search path. Please ensure that it is"]
-    [echo "installed and its directory is included in the search path."]
-    [echo "Then run configure again before attempting to build ABRT."]
-    [exit 1]
-[fi]
-
 dnl ****** INTERNATIONALIZATION **********************
 GETTEXT_PACKAGE=abrt
 AC_SUBST(GETTEXT_PACKAGE)
@@ -127,7 +118,6 @@ AC_CONFIG_FILES([
 	src/applet/Makefile
 	src/gui/Makefile
 	src/cli/Makefile
-	src/utils/Makefile
 	inc/Makefile
 	po/Makefile.in
 	icons/Makefile
diff --git a/lib/utils/Makefile.am b/lib/utils/Makefile.am
index 1e10482..0e9460d 100644
--- a/lib/utils/Makefile.am
+++ b/lib/utils/Makefile.am
@@ -3,7 +3,6 @@
 lib_LTLIBRARIES = libABRTUtils.la libABRTdUtils.la
 HEADER_DIR = $(srcdir)/../../inc
 AM_CPPFLAGS = -I$(HEADER_DIR)
-AM_YFLAGS = --verbose
 
 # Not used just yet:
 # time.cpp
@@ -27,8 +26,6 @@ libABRTUtils_la_SOURCES = \
     abrt_dbus.c abrt_dbus.h \
     CrashTypes.cpp \
     ABRTException.cpp \
-    backtrace.c backtrace.h \
-    backtrace_parser.y \
     strbuf.c strbuf.h \
     abrt_packages.c abrt_packages.h \
     hooklib.c hooklib.h \
@@ -52,7 +49,6 @@ libABRTUtils_la_LIBADD = \
     $(DBUS_LIBS) \
     -ldl
 
-
 libABRTdUtils_la_SOURCES = \
     parse_release.cpp \
     make_descr.cpp \
diff --git a/src/Makefile.am b/src/Makefile.am
index c2576c4..f4f621c 100644
--- a/src/Makefile.am
+++ b/src/Makefile.am
@@ -1 +1 @@
-SUBDIRS = hooks daemon applet gui cli utils
+SUBDIRS = hooks daemon applet gui cli
